Package Details: gtkdialog-svn 514-7

Git Clone URL: https://aur.archlinux.org/gtkdialog-svn.git (read-only)
Package Base: gtkdialog-svn
Description: Gtkdialog is a small utility for fast and easy GUI building (SVN)
Upstream URL: https://code.google.com/p/gtkdialog
Licenses: GPL
Conflicts: gtkdialog
Provides: gtkdialog
Submitter: hazard
Maintainer: hazard
Last Packager: hazard
Votes: 64
Popularity: 0.582889
First Submitted: 2013-01-06 15:20
Last Updated: 2015-07-08 07:05

Dependencies (7)

Required by (8)

Sources (0)

Latest Comments

ephreal commented on 2018-04-24 16:31

@haawda While what you say is correct, I know at least one package requires a gtkdialog-svn + vte build. I can verify that it now works after building with vte-legacy.

haawda commented on 2018-04-21 23:26

vte is not even needed, just remove it from the dependencies.

haawda commented on 2018-04-21 22:59

vte was removed from the repos. With vte-legacy (from AUR) installed, gtkdialog-svn builds for me.

But the PKGBUILD has some issues. The install file can go away, as its functionality is completely provided by pacman hooks. The sources should be downloaded by makepkg rather than manually.

lisu_ml commented on 2018-04-20 12:20

Same problem here. I'm going to dig a bit in order to check what the proper fix should be.

ephreal commented on 2018-04-06 19:47

I'm currently having trouble getting this to build. The PKGBUILD marks 'vte' as a dependency, but it appears that no package named 'vte' exists. On https://www.archlinux.org/packages/?q=vte , there are several vte related packages. I've tried installing all packages there, and still the build fails claiming vte is missing. Was vte replaced by vte3 or vte-common?

dracorp commented on 2017-01-28 12:32

@hazard
gtkdialog-svn W: .INSTALL file runs a command provided by hooks.
Could you also add to the provide gtkdialog=$pkgver instead lone gtkdialog? To prevent error such as:
error: missing 'gtkdialog>=0.8.0' dependency for 'xfce4-composite-editor'

cb474 commented on 2015-05-19 20:48

Thanks!

hazard commented on 2015-05-19 07:06

@cb474
Thanks! Fixed :)

cb474 commented on 2015-05-19 06:52

I'm getting this error when trying to do the update just posted:

==> Starting configure...
/tmp/yaourt-tmp-user/aur-gtkdialog-svn/./PKGBUILD: line 29: ./autogen.sh: No such file or directory
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build gtkdialog-svn.
==> Restart building gtkdialog-svn ? [y/N]

hazard commented on 2015-05-19 02:10

Exported Thunor's repo to Github (Note: the docs got messed up in conversion)

All comments